<#1>
<?php
/**
 * @category PlagScanExercise
 * @package PlagScan
 * @author Maximilian Becker <mbecker@databay.de>
 * @copyright 2019 Maximilian Becker / Databay AG
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.databay.de Databay AG
 */
?>
<#2>
<?php

if (!$ilDB->tableExists('psx_assignments')) {
    $fields = array(
        'id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_exc_obj' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'activation' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'start' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 50),
        'share_result' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 50),
        'result_type' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 50),
    );

    $ilDB->createTable('psx_assignments', $fields);
    $ilDB->addPrimaryKey('psx_assignments', array('id'));
    $ilDB->createSequence('psx_assignments');
}

if (!$ilDB->tableExists('psx_submissions')) {
    $fields = array(
        'id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_exc_obj' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'user_id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'user_non_consent' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'submission_ilias_id' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
        'plagscan_id' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
        'plagscan_status' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
        'share_link' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
    );

    $ilDB->createTable('psx_submissions', $fields);
    $ilDB->addPrimaryKey('psx_submissions', array('id'));
    $ilDB->createSequence('psx_submissions');
}
?>
